package com.ruoyi.bst.taskSubmit.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 任务提交记录对象 bst_task_submit
 *
 * @author ruoyi
 * @date 2025-02-08
 */
@Data
public class TaskSubmit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "任务ID")
    @ApiModelProperty("任务ID")
    private Long taskId;

    @Excel(name = "提交人ID")
    @ApiModelProperty("提交人ID")
    private Long userId;

    @Excel(name = "附件列表")
    @ApiModelProperty("附件列表")
    private String attaches;

    @Excel(name = "审核ID")
    @ApiModelProperty("审核ID")
    private Long verifyId;

}
